diff -ruN vdr-1.7.10/PLUGINS/src/dvbsddevice/Makefile vdr-1.7.11/PLUGINS/src/dvbsddevice/Makefile
--- vdr-1.7.10/PLUGINS/src/dvbsddevice/Makefile	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.7.11/PLUGINS/src/dvbsddevice/Makefile	2009-12-29 12:53:18.000000000 +0100
@@ -0,0 +1,112 @@
+#
+# Makefile for a Video Disk Recorder plugin
+#
+# $Id: Makefile 1.1 2009/12/29 11:53:18 kls Exp $
+
+# The official name of this plugin.
+# This name will be used in the '-P...' option of VDR to load the plugin.
+# By default the main source file also carries this name.
+# IMPORTANT: the presence of this macro is important for the Make.config
+# file. So it must be defined, even if it is not used here!
+#
+PLUGIN = dvbsddevice
+
+### The version number of this plugin (taken from the main source file):
+
+VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')
+
+### The C++ compiler and options:
+
+CXX      ?= g++
+CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+
+### The directory environment:
+
+VDRDIR = ../../..
+LIBDIR = ../../lib
+TMPDIR = /tmp
+
+### Allow user defined options to overwrite defaults:
+
+-include $(VDRDIR)/Make.config
+
+### The version number of VDR's plugin API (taken from VDR's "config.h"):
+
+APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
+
+### The name of the distribution archive:
+
+ARCHIVE = $(PLUGIN)-$(VERSION)
+PACKAGE = vdr-$(ARCHIVE)
+
+### Includes and Defines (add further entries here):
+
+INCLUDES += -I$(VDRDIR)/include
+
+DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
+
+DEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
+
+### The object files (add further files here):
+
+OBJS = $(PLUGIN).o dvbsdffdevice.o dvbsdffosd.o
+
+### The main target:
+
+all: libvdr-$(PLUGIN).so i18n
+
+### Implicit rules:
+
+%.o: %.c
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+
+### Dependencies:
+
+MAKEDEP = $(CXX) -MM -MG
+DEPFILE = .dependencies
+$(DEPFILE): Makefile
+	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+
+-include $(DEPFILE)
+
+### Internationalization (I18N):
+
+PODIR     = po
+LOCALEDIR = $(VDRDIR)/locale
+I18Npo    = $(wildcard $(PODIR)/*.po)
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
+I18Npot   = $(PODIR)/$(PLUGIN).pot
+
+%.mo: %.po
+	msgfmt -c -o $@ $<
+
+$(I18Npot): $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<see README>' -o $@ $^
+
+%.po: $(I18Npot)
+	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	@touch $@
+
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+.PHONY: i18n
+i18n: $(I18Nmsgs) $(I18Npot)
+
+### Targets:
+
+libvdr-$(PLUGIN).so: $(OBJS)
+	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
+
+dist: clean
+	@-rm -rf $(TMPDIR)/$(ARCHIVE)
+	@mkdir $(TMPDIR)/$(ARCHIVE)
+	@cp -a * $(TMPDIR)/$(ARCHIVE)
+	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
+	@-rm -rf $(TMPDIR)/$(ARCHIVE)
+	@echo Distribution package created as $(PACKAGE).tgz
+
+clean:
+	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot
diff -ruN vdr-1.7.10/PLUGINS/src/dvbsddevice/README vdr-1.7.11/PLUGINS/src/dvbsddevice/README
--- vdr-1.7.10/PLUGINS/src/dvbsddevice/README	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.7.11/PLUGINS/src/dvbsddevice/README	2009-12-29 13:00:29.000000000 +0100
@@ -0,0 +1,20 @@
+This is a "plugin" for the Video Disk Recorder (VDR).
+
+Written by:                  Klaus Schmidinger <Klaus.Schmidinger@tvdr.de>
+
+Project's homepage:          http://www.tvdr.de
+
+Latest version available at: ftp://ftp.tvdr.de/vdr
+
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
+See the file COPYING for more information.
+
+Description:
+
+The 'dvbsddevice' plugin implements the output device for the
+"Full Featured" DVB cards based on the TechnoTrend/Fujitsu-Siemens
+design. This code was originally part of the core VDR source, and
+was moved into this plugin in VDR version 1.7.11.
diff -ruN vdr-1.7.10/PLUGINS/src/dvbsddevice/dvbsddevice.c vdr-1.7.11/PLUGINS/src/dvbsddevice/dvbsddevice.c
--- vdr-1.7.10/PLUGINS/src/dvbsddevice/dvbsddevice.c	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.7.11/PLUGINS/src/dvbsddevice/dvbsddevice.c	2010-01-01 16:01:01.000000000 +0100
@@ -0,0 +1,35 @@
+/*
+ * dvbsddevice.c: A plugin for the Video Disk Recorder
+ *
+ * See the README file for copyright information and how to reach the author.
+ *
+ * $Id: dvbsddevice.c 1.2 2010/01/01 15:01:01 kls Exp $
+ */
+
+#include <vdr/plugin.h>
+#include "dvbsdffdevice.h"
+
+static const char *VERSION        = "0.0.2";
+static const char *DESCRIPTION    = "SD Full Featured DVB device";
+
+class cPluginDvbsddevice : public cPlugin {
+private:
+  cDvbSdFfDeviceProbe *probe;
+public:
+  cPluginDvbsddevice(void);
+  virtual ~cPluginDvbsddevice();
+  virtual const char *Version(void) { return VERSION; }
+  virtual const char *Description(void) { return DESCRIPTION; }
+  };
+
+cPluginDvbsddevice::cPluginDvbsddevice(void)
+{
+  probe = new cDvbSdFfDeviceProbe;
+}
+
+cPluginDvbsddevice::~cPluginDvbsddevice()
+{
+  delete probe;
+}
+
+VDRPLUGINCREATOR(cPluginDvbsddevice); // Don't touch this!
